Useful or not, from you.
angular Uncaught exception using ivy

<!--๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…

Oh hi there! ๐Ÿ˜„

To expedite issue processing please search open and closed issues before submitting a new one. Existing issues often contain information about workarounds, resolution, or progress updates.

๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…-->

๐Ÿž bug report

Affected Package

<!-- Can you pin-point one or more @angular/* packages as the source of the bug? --> <!-- โœ๏ธedit: -->

Unknown.

Is this a regression?

<!-- Did this behavior use to work in the previous version? -->

Only happen when using Ivy.

Description

An unhandled exception occurs immediately, and my app does not load.

๐Ÿ”ฅ Exception or Error

<pre><code> core.js:30223 Uncaught TypeError: Cannot read property 'id' of undefined at registerNgModuleType (core.js:30223) at core.js:30241 at Array.forEach (<anonymous>) at registerNgModuleType (core.js:30237) at new NgModuleFactory$1 (core.js:30375) at compileNgModuleFactory__POST_R3__ (core.js:34663) at PlatformRef.bootstrapModule (core.js:34960) at Module../src/main.ts (main.ts:11) at webpack_require (bootstrap:79) at Object.0 (main.ts:11) </code></pre>

๐ŸŒ Your Environment

Angular Version: <pre><code> <!-- run ng version and paste output below --> <!-- โœ๏ธ--> Angular CLI: 8.1.0-beta.3 Node: 12.4.0 OS: darwin x64 Angular: 8.1.0-rc.0 ... animations, common, compiler, compiler-cli, core, elements ... forms, language-service, platform-browser ... platform-browser-dynamic, router

Package Version

@angular-devkit/architect 0.801.0-beta.3 @angular-devkit/build-angular 0.801.0-beta.3 @angular-devkit/build-optimizer 0.801.0-beta.3 @angular-devkit/build-webpack 0.801.0-beta.3 @angular-devkit/core 8.1.0-beta.3 @angular-devkit/schematics 8.1.0-beta.3 @angular/cli 8.1.0-beta.3 @ngtools/json-schema 1.1.0 @ngtools/webpack 8.1.0-beta.3 @schematics/angular 8.1.0-beta.3 @schematics/update 0.801.0-beta.3 ng-packagr 5.3.0 rxjs 6.5.2 typescript 3.4.5 webpack 4.35.0 </code></pre>

That's a useful answer
Without any help

I get the same error when I try to import the Animations module. I don't even attempt to use it -- this is just from the import:

import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

@NgModule({
	imports: [
		BrowserModule,
		BrowserAnimationsModule
	],
	....

2019-06-28_06-41-32

I am currently using "next", which installs 8.1.0-rc.0. I also have Ivy enabled. I can't figure out how to enable Ivy in StackBlitz. There doesn't seem to be a tsconfig file.